Subject: Re: [PATCH] fsck: exit with non-zero status upon error from fsck_obj()

From: Jeff King <[email-masked]>
Date: Tue, 9 Sep 2014 18:07:09 -0400

On Tue, Sep 09, 2014 at 03:03:33PM -0700, Junio C Hamano wrote:

> From: Jeff King <[email-masked]>
> Date: Fri, 29 Aug 2014 16:31:46 -0400
> 
> Upon finding a corrupt loose object, we forgot to note the error to
> signal it with the exit status of the entire process.
> 
> [jc: adjusted t1450 and added another test]
> 
> Signed-off-by: Junio C Hamano <[email-masked]>
> ---
> 
>  * I think your fix is a right one that catches all the "we can
>    parse minimally for the purpose of 'struct object' class system,
>    but the object is semantically broken" cases, as fsck_obj() is
>    where such a validation should all happen.
> 
>    I can haz a sign off?  Thanks.

Thanks, I think this is a step forward regardless of other conversation
on the exit code, as it is just harmonizing loose and packed object
behavior.

Signed-off-by: Jeff King <[email-masked]>

-Peff